Bug 113461 - Consider change of workspace switching behavior
Summary: Consider change of workspace switching behavior
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: libwnck   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-14 05:12 UTC by Arvind Narayanan
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-27 08:34:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arvind Narayanan 2004-01-14 05:12:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
When switching workspace by clicking on the workspace switcher applet,
the focus is given to the window whose thumbnail was clicked on. This
behavior is unintuitive and it is difficult if not impossible to
reliably click on the correct window. A better way would be to
remember which window had focus when the workspace was last used and
give focus to that window.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open 2 windows A and B on a workspace such that both are visible
and A has focus
2. Switch to another workspace
3. Click on the thumbnail of B in the workspace switcher applet
    

Actual Results:  B is raised and gets focus

Expected Results:  A should remain raised and get focus

Additional info:

Comment 1 Jens Petersen 2004-04-16 05:16:57 UTC
+1

Comment 2 Jens Petersen 2004-04-16 05:21:21 UTC
Rather I meant this is also true when switching workspaces with
keybindings: metacity should remember the last window that had
focus on the workspace when using focus-follows-mouse mode.

Should that be in a separate report?

Comment 3 Mark McLoughlin 2004-07-27 08:34:18 UTC
Jens: yours sounds like a different bug.

Marking this bug as closed UPSTREAM. A fix is in libwnck 2.6.2.1 and
we'll have this version or later in FC3. See:

  http://bugzilla.gnome.org/show_bug.cgi?id=124981

Comment 4 Mark McLoughlin 2004-07-27 08:34:47 UTC
Jens: to clarify, your bug should be logged against metacity


Note You need to log in before you can comment on or make changes to this bug.